<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">
<h:head>

<script type="text/javascript">
PrimeFaces.locales['es'] = {
        closeText: 'Cerrar',
        prevText: 'Anterior',
        nextText: 'Siguiente',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
        dayNamesMin: ['D', 'L', 'M', 'X', 'J', 'V', 'S'],
        weekHeader: 'Semana',
        firstDay: 1,
        isRTL: false,
        showMonthAfterYear: false,
        yearSuffix: '',
        timeOnlyTitle: 'Sólo hora',
        timeText: 'Tiempo',
        hourText: 'Hora',
        minuteText: 'Minuto',
        secondText: 'Segundo',
        currentText: 'Fecha actual',
        ampm: false,
        month: 'Mes',
        week: 'Semana',
        day: 'Día',
        allDayText: 'Todo el día'
    };
</script>


<script type="text/javascript">
    function handleLoginRequest(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlg2').jq.effect("shake", {times:5}, 100);
        }
        else {
            PF('dlg2').hide();
            location.reload();
        }
    }
</script>

<style>
.notification {
    color: white;
    text-decoration: none;
    padding: 15px 26px;
    position: relative;
    display: inline-block;
    border-radius: 2px;
}


.notification .badge {
    position: absolute;
    top: 15px;
    right: -10px;
    padding: 5px 10px;
    border-radius: 50%;
    background: red;
    color: white;
}


* {
	box-sizing: border-box;
}

body {
	font-family: Arial;
	padding: 10px;
	background: black;
}

/* Header/Blog Title */
.header {
	padding: 10px;
	background: white;
}

.header h1 {
	font-family: "Arial Black", Gadget, sans-serif;
	font-size: 38px;
	letter-spacing: 0.4px;
	word-spacing: 0.4px;
	color: #000000;
	font-weight: 400;
	text-decoration: none solid rgb(68, 68, 68);
	font-style: normal;
	font-variant: small-caps;
	text-transform: capitalize;
}

/* Style the top navigation bar */
.topnav {
	overflow: hidden;
	background-color: #333;
}

/* Style the topnav links */
.topnav a {
	float: left;
	display: block;
	color: #f2f2f2;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

/* Change color on hover */
.topnav a:hover {
	background-color: #ddd;
	color: black;
}

/* Create two unequal columns that floats next to each other */
/* Left column */
.leftcolumn {
	float: left;
	width: 75%;
}

/* Right column */
.rightcolumn {
	float: left;
	width: 25%;
	background-color: #f1f1f1;
	padding-left: 20px;
}

/* Fake image */
.fakeimg {
	background-color: #aaa;
	width: 100%;
	padding: 20px;
}

/* Add a card effect for articles */
.card {
	background-color: white;
	padding-left: 20px;
	padding-top: 10px;
	margin-top: 20px;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;
}

/* Footer */
.footer {
	padding: 20px;
	text-align: center;
	background: #ddd;
	margin-top: 20px;
}

.ui-datatable {
	margin-bottom: 25px
}

.ui-datatable .ui-datatable-header {
	text-align: right !important;
}

.ui-button-text-only .ui-button-text {
	padding: 0.3em 0.4em;
}

.ui-selectcheckboxmenu-panel .ui-selectcheckboxmenu-header .ui-chkbox {
	visibility: hidden;
}

.ui-filter-column .ui-column-customfilter .custom-filter {
	width: 100%;
	box-sizing: border-box;
}

.year-spinner input {
	width: 100%;
	box-sizing: border-box;
}
/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
	.leftcolumn, .rightcolumn {
		width: 100%;
		padding: 0;
	}
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
	.topnav a {
		float: none;
		width: 100%;
	}
}
</style>
<!-- Bootstrap y CSS -->
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
	rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
	rel="stylesheet" />
<!-- Hojas de estilo css -->
<link href="css/estilo.css" rel="stylesheet" />
<script>
    $('.close').click(function(){
       $('#newsHeading').parent().fadeOut();
    })
</script>
</h:head>
<h:body>
<div class="card bg-dark text-white" style="padding: 0px;margin: 0px;">
        <img class="card-img" src="img2/banner2.jpg"
            style="width: 100%; height: 200px" alt="Card image" />
        <div class="card-img-overlay">
            <h1 class="card-title" style="font-size: 100px; font-weight: 700;text-shadow: 0 0 30px #fff;padding-left: 20px;">TodoArte</h1>
        </div>
    </div>

<p:growl for="msg" id="capuchinos" showDetail="false" autoUpdate="true" sticky="true" />

<nav class="navbar navbar-dark bg-dark">
	<form class="form-inline">
		<h:form>

			<h:inputText value="#{ArtistaBean.nick}" class="form-control"
				placeholder="artistas..." />
			<h:commandButton class="btn btn-primary"
				action="#{ArtistaBean.buscar()}" value="Buscar" />
			<br></br>
			<br></br>


		</h:form>

	</form>
	<div class="form-inline">
	<h:panelGroup  rendered="#{not BeanDeSeguridad.isSecion()}">
	
	
			<h:form>
			<p:commandButton value="Registrarse" type="button" onclick="PF('dlg1').show();" /> 
			</h:form>


			<h:form>        
				<p:commandButton value="Login" type="button" onclick="PF('dlg4').show();" /> 
			     
			    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
			     
			    <p:dialog header="Login" widgetVar="dlg4" resizable="false">
			        <h:panelGrid columns="2" cellpadding="5">
			            <h:outputLabel for="username" value="Username:" />
			            <p:inputText id="username" value="#{LoginBean.nick}" required="true" label="username" />
			             
			            <h:outputLabel for="password" value="Password:" />
			            <p:password id="password" value="#{LoginBean.pass}" required="true" label="password" />
			             
			            <f:facet name="footer">
			                <p:commandButton value="Login" update="growl" action="#{LoginBean.login()}"
			                                 oncomplete="handleLoginRequest(xhr, status, args)" />
			            </f:facet>  
			        </h:panelGrid>
			    </p:dialog>    
			</h:form>

	
                            
                       
	</h:panelGroup>
	
	
</div >
		<h:form rendered="#{BeanDeSeguridad.isSecion()}">
			<h:form>        
				<p:commandButton value="notification" action="#{SitioBean.resNotis(BeanInicio.nickSecion())}" oncomplete="PF('dlg7').show();" style="text-decoration: none;"/>
				<h:panelGrid rendered="#{BeanInicio.notificacionesNuevas(BeanInicio.nickSecion())} gt 0"> <span class="badge" >#{BeanInicio.notificacionesNuevas(BeanInicio.nickSecion())}</span> </h:panelGrid> 
				
			    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
			     
			    <p:dialog widgetVar="dlg7" resizable="false">
			    
			       <h:panelGrid>	
				   <h:form>
			   		
			   		<h:dataTable id="tabla"  value="#{BeanInicio.notis()}" var="String"
			        styleClass="order-table" headerClass="order-table-header"
			        rowClasses="order-table-odd-row,order-table-even-row">
			
			        <h:column>
			            <f:facet name="header">Notificaciones: </f:facet>
			            #{String.toString()}
			        </h:column>
			
			    	</h:dataTable>
			   		
			      
			    	</h:form>
				    </h:panelGrid>
			  
			    </p:dialog>    
				</h:form>
		
		    <p:growl id="messages" showDetail="true"/>
		 
		    <p:menuButton value="#{BeanInicio.nickSecion()}" class="btn btn-dark">     
				<p:menuitem value="Crear QyA" onclick="PF('dlg6').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>	   
		        <p:separator />
		        <p:menuitem value="Cerrar Sesion"  action="#{LoginBean.logout()}" />
		    </p:menuButton>
		</h:form>					
</nav>

						<h:form>   
						    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
						     
						    <p:dialog header="QyA" widgetVar="dlg6" resizable="false" height="500">
						        <h:panelGrid columns="2" cellpadding="5">

											<p:outputLabel for="time" value="Fecha del QyA" />
        									<p:datePicker id="time" value="#{BeanInicio.fecha}" showTime="true" locale="es" monthNavigator="true" pattern="yyyy-MMM-dd"/>

						            <f:facet name="footer">
						                <p:commandButton value="Crear" update="growl" action="#{BeanInicio.programarQyA()}"
						                                 oncomplete="handleLoginRequest(xhr, status, args)" />
						            </f:facet>  
						        </h:panelGrid>
						    </p:dialog>    
						</h:form>
						
	 
	 
	<div class="row" >

	</div>
	<div class="row">

		<div class="card" style="width: 100%; margin: 20px; padding: 10px;">

			<ui:insert name="registro" id="newsHeading">
				<h:form>
					<div class="fil">
						<h4>Filtra para encontrar los sitios que mas te gusten...</h4>
						<p>Selecciona una de las categorias</p>
					</div>
					<div class="fil"
						style="display: flex; flex-direction: row; justify-content: space-between; width: 20%;">
						<div class="sub-fil" style="width: 50%;">
							<h:selectOneMenu class="browser-default custom-select"
								value="#{ArtistaBean.catFav}" style="width: 100px;">
								<f:selectItems value="#{ArtistaBean.catItem}" />
							</h:selectOneMenu>
						</div>
						<div class="sub-fil">

							<h:commandButton class="btn btn-primary"
								action="#{ArtistaBean.buscarArtCat()}" value="Filtrar" />



						</div>

					</div>
				</h:form>
			</ui:insert>
		</div>
		<div class="card-gg"
            style="width: 100%; padding: 10px; margin: 10px; flex-direction: row; justify-content: space-between;">

            <div class="card-header" style="text-align: center;">
                <h4 style="color: white;">Conoce nuestros Artistas y sus sitios..</h4>
            </div>
            <h:dataTable var="Artista" value="#{ArtistaBean.artistasCat}"
                style="width: 100%;">
                <h:column>
                    <div class="card"
                        style="display: flex; flex-direction: row; justify-content: space-around; align-items: center; margin: 0px; padding: 0px;">
                        <div class="incoming_msg_img"
                            style="width: 120px; padding-left: 20px;">
                            <img src="https://ptetutorials.com/images/user-profile.png"
                                alt="sunil"
                                style="width: 100px; height: 100px; vertical-align: middle; border-style: none; border-radius: 60px; border: 3px solid;" />
                        </div>
                        <div class="card"
                            style="padding: 0px; margin: 0px; width: 100%; margin-left: 20px;">
                            <div class="card-header">
                            

								<a href="template/sitio.xhtml?aNick=#{Artista.nick}"> #{Artista.nick} </a>

                            
                            </div>
                            <div class="card-body">
                                <blockquote class="blockquote mb-0">
                                    <p>Visita este sitio, te aseguro que encontraras todo tipo de contenidos.</p>
                                </blockquote>
                            </div>
                        </div>

                    </div>
                </h:column>

            </h:dataTable>

        </div>



	</div>

<p:dialog header="Registrarse como?" widgetVar="dlg1" showEffect="explode" hideEffect="bounce" height="100">
	<h:form>
       <p:commandButton value="Artista" type="button" onclick="PF('dlg3').show();" />
       <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
       		<p:dialog header="Registro" widgetVar="dlg3" resizable="false" showEffect="explode" hideEffect="bounce" height="500">
		       		<div class="form-group">
						<label for="exampleInputEmail1">Nickname</label>
						<h:inputText value="#{RegistroArtistaBean.nick}" id="Nickname" label="Nickname" required="true"
							class="form-control" placeholder="Nickname" />
					</div>
					<div class="form-group">
						<label for="exampleFormControlInput1">Correo</label>
						<h:inputText type="email" class="form-control" id="Correo" label="Correo" required="true"
							value="#{RegistroArtistaBean.correo}"
							placeholder="name@example.com" />
					</div>
					<div class="form-group">
						<label for="exampleInputPassword1">Nombre</label>
						<h:inputText value="#{RegistroArtistaBean.nombre}" id="Nombre" label="Nombre" required="true"
							class="form-control" placeholder="Nombre" />
					</div>
					<div class="form-group">
						<label for="exampleInputPassword1">Direccion</label>
						<h:inputText value="#{RegistroArtistaBean.direccion}" id="Direccion" label="Direccion" required="true"
							class="form-control" placeholder="Direccion" />
					</div>
					<div class="form-group">
						<label for="exampleInputPassword1">Password</label>
						<h:inputSecret value="#{RegistroArtistaBean.pass}" id="Password" label="Password" required="true"
							class="form-control" placeholder="Password" />
					</div>
					<div class="form-group">
						<label for="example-date-input">Fecha de nacimiento</label>
						<p:calendar id="spanish" value="#{RegistroArtistaBean.fecha}" locale="es" navigator="true" pattern="yyyy-MMM-dd" />
		
					</div>
					<div class="form-group">
						<label for="exampleFormControlInput1">Sexo</label>
						<h:selectOneMenu class="browser-default custom-select"
							value="#{RegistroArtistaBean.sexoEleg}">
							<f:selectItems value="#{RegistroArtistaBean.listaS}" />
						</h:selectOneMenu>
		
					</div>
		
					<h:commandButton class="btn btn-primary" action="#{RegistroArtistaBean.registrar()}" oncomplete="handleLoginRequest(xhr, status, args)" update="growl"
						value="Registrar" />
		       
       
       
       
       		</p:dialog>
    </h:form>	
    
    
    <h:form>        
    <p:commandButton value="Fan" type="button" onclick="PF('dlg2').show();" />
    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
     
    <p:dialog header="Registro" widgetVar="dlg2" resizable="false" showEffect="explode" hideEffect="bounce">
        <h:panelGrid columns="2" cellpadding="5">
            	<div class="form-group">
				<label for="exampleInputEmail1">Nickname</label>
				<h:inputText value="#{RegistroFanBean.nick}" id="Nickname" label="Nickname"
					class="form-control" placeholder="Nickname" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Correo</label>
				<h:inputText type="email" class="form-control" id="email" label="email" 
					value="#{RegistroFanBean.correo}"
					placeholder="name@example.com" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleInputPassword1">Password</label>
				<h:inputSecret value="#{RegistroFanBean.pass}" id="Pass" label="Pass"
					class="form-control" placeholder="Password" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Sexo</label>
				<h:selectOneMenu class="browser-default custom-select"
					value="#{RegistroFanBean.sexoEleg}"> 
					<f:selectItems value="#{RegistroFanBean.listaS}" required="true" />
				</h:selectOneMenu>

			</div>
			
				<div class="form-group">
				<label for="exampleFormControlInput1">Pais</label>
				<h:selectOneMenu class="browser-default custom-select"
					value="#{RegistroFanBean.pais}"> 
					<f:selectItems value="#{RegistroFanBean.listaP}" required="true" />
				</h:selectOneMenu>

			</div>
			
			<p:selectManyMenu id="advanced" value="#{RegistroFanBean.catsel}" 
                          var="t" filter="true" filterMatchMode="contains" showCheckbox="true">
            <f:selectItems value="#{RegistroFanBean.catItem}" var="theme" itemLabel="#{theme}" itemValue="#{theme}" />

            <p:column>
                <h:outputText value="#{t}" />
            </p:column>
        	</p:selectManyMenu>
             
            <f:facet name="footer">
                <p:commandButton value="Registrarse" update="growl" action="#{RegistroFanBean.registroFan()}"
                                 oncomplete="handleLoginRequest(xhr, status, args)" />
            </f:facet>  
        </h:panelGrid>
    </p:dialog>    
</h:form> 

</p:dialog>

	

<script>
    $('.close').click(function(){
       $('#newsHeading').parent().fadeOut();
    })
</script>


</h:body>
</html>
